# $Revision: 1.16 $, $Date: 2011/04/13 10:23:32 $
Summary:	FreeDOS Ripcord base part
Summary(pl.UTF-8):	Część 'base' FreeDosa
Name:		dosemu-freedos-base
Version:	beta7h03
Release:	1
Epoch:		1
License:	GPL
Group:		Applications/Emulators
Source0:	ftp://ftp.task.gda.pl/pub/dos/freedos/files/distributions/ripcord/%{version}/EN/disksets/base1.zip
# Source0-md5:	f626dd249cf05ef2278695f5940801ba
URL:		http://www.freedos.org/
BuildRequires:	unzip
Obsoletes:	dosemu-freedos
Requires:	dosemu
Requires:	dosemu-freedos-minimal
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In this package there is base part of FreeDOS Ripcord.

%description -l pl.UTF-8
W tym pakiecie jest część 'base' FreeDOSa.

%prep
%setup -q -c

%build
rm -rf freedos
mkdir freedos
for i in *.ZIP ; do
	unzip -L -o $i -d freedos
done
rm -f freedos/copying

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/dosemu/bootdir

cp -fR freedos $RPM_BUILD_ROOT/var/lib/dosemu/bootdir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
/var/lib/dosemu/bootdir/freedos/bin/*
/var/lib/dosemu/bootdir/freedos/doc/*
/var/lib/dosemu/bootdir/freedos/help/*
/var/lib/dosemu/bootdir/freedos/nls/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dosemu-freedos-base.spec,v $
Revision 1.16  2011/04/13 10:23:32  baggins
- updated to beta7h03

Revision 1.15  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.13  2007/01/27 14:32:03  pascalek
- works on 64 bits

Revision 1.12  2004/04/26 14:54:16  adamg
- release 5 for Ac (4 is for Ra)

Revision 1.11  2004/03/15 20:33:38  qboosh
- setup args unification

Revision 1.10  2003/11/11 01:42:27  ankry
- caps unification, other cosmetics

Revision 1.9  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 05:46:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/06/04 13:07:02  kloczek
- release 4.

Revision 1.6  2002/04/25 16:13:15  arturs
fixed a small typo

Revision 1.5  2002/04/10 21:31:39  qboosh
- removed common dirs (present in dosemu-freedos-minimal), release 3

Revision 1.4  2002/03/21 19:10:47  kloczek
- release 2.

Revision 1.3  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:12:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/16 17:16:13  juandon
- Release 1
- part of full FreeDOS distribution
